#include "dictsettings.h"

#include <KConfig>
#include <QDebug>

DictSettings::DictSettings(QWidget *parent)
	: KDialog(parent)
{
	setupUi(this);
	setMainWidget(tab);
	listbox->setFocus();
}

QStringList DictSettings::hosts()
{
	return listbox->items();
}

void DictSettings::setHosts(const QStringList &hosts)
{
	listbox->setItems(hosts);
}

void DictSettings::setFont(const QFont &font)
{
	fontrequester->setFont(font);
}

void DictSettings::readConf(const DictConf &conf)
{
	corrections->setChecked(conf.corrections);
	headings->setChecked(conf.headings);
	matchFrame->setChecked(conf.matchFrame);
// 	autoMatch->setChecked(conf.autoMatch);
	sidebar->setCurrentIndex(conf.sidebar);

	yank->setChecked(conf.yank);
	localYank->setChecked(conf.localYank);
	remoteYank->setChecked(conf.remoteYank);

	modifierKey->setCurrentIndex(conf.modifierKey);

	yankLength->setValue(conf.yankLength);
	yankWarn->setValue(conf.yankWarn);
}

void DictSettings::writeConf(DictConf &conf)
{
	conf.corrections = corrections->isChecked();
	conf.headings = headings->isChecked();
	conf.matchFrame = matchFrame->isChecked();
// 	conf.autoMatch = autoMatch->isChecked();
	conf.sidebar = sidebar->currentIndex();

	conf.yank = yank->isChecked();
	conf.localYank = localYank->isChecked();
	conf.remoteYank = remoteYank->isChecked();

	conf.modifierKey = modifierKey->currentIndex();

	conf.yankLength = yankLength->value();
	conf.yankWarn = yankWarn->value();
}
